	< Installation Manual >
		Go Playing Game System "GOG" (Sequential Version)

This manual describes installation of the sequential version of "GOG".

Environment

  Machine	   : PSI
  Operating System : SIMPOS
  Language	   : ESP
  Source Code	   : 1.5 MB

Explanation of Symbols
  SYSTEM MENU : Call the SIMPOS system menu
  [ xxx ]     : Choose item "xxx"

Installation
 1. Login to "superuser"
	user     > superuser <CR>
	password > superuser <CR>

 2. Register a new user of the name "cgs" 
  (1) Select items in the following sequence.
	SYSTEM MENU --> [others] --> [user] --> [maintenance] --> [register]
  (2) Define the size of the window using the mouse, and the window will 
      be displayed.
  (3) Register a user of the name "cgs".
	Register
	Username : cgs <CR>
	Password : cgs <CR>
	Rank     : general <CR>
	User cgs registered

 3. Register a new package of the name "cgs"
  (1) Select a librarian.
    	SYSTEM MENU  --> [librarian]
  (2) Define the size of the window using the mouse.

  (3) Register a package of the name "cgs".
	[Package] --> [Define package]
	 Package Name>cgs <CR> --> [yes]
	 Environment Name>cgs_env <CR> --> [yes]

  (4) Set the environment for package
	[Package] -->  [Define environment]
	 Environment Name>cgs_env <CR>
	 ELEMENTS:[ ] will be displayed, and the menu will be changed --> [add]
	 Elements>[simpos]<CR> --> [exit]

  (5) Save the package and the environment
	[Package] -->  [Other command] --> [Save package]
	 Package Name>cgs <CR>

	[Package] --> [Other command] --> [Save environment]
	 Environment Name>cgs_env <CR>

 4. Logout from "superuser"
	SYSTEM MENU ---> [logout] ---> [yes]

 5. Login to "cgs"
	user     > cgs <CR>
	password > cgs <CR>

 6. Copy program source files
    Copy program source files to the ">sys>user>cgs" directory.

 7. Compile program source files
  (1) Select the librarian.
    	SYSTEM MENU  --> [librarian]
  (2) Define the size of the window using the mouse.

  (3) Compile source files. (*)
	Case 1.  On the PSI without PIMOS (the OS of the Multi-PSI system)

	Set default package.
	[Package] --> [Set default package]
	 Package Name>pimfep <CR>
	 [Catalogue]
         File Name>PIM_DEV_D.esp <CR>

	Set default package.
	[Package] --> [Set default package]
	 Package Name>cgs <CR>
	 [Execute]
         Command>fxd("allcmp.com"). <CR>

	Case 2.  On the PSI with PIMOS (the OS of the Multi-PSI system)

	Set default package.
	[Package] --> [Set default package]
	 Package Name>cgs <CR>
	 [Execute]
         Command>fxd("allcmp.com"). <CR>

  (5) Save object to be executed.
	[Save] --> [do it]

 8. Initialize "GOG"
  (1) Select debugger
	SYSTEM MENU  --> [debugger]
  (2) Define the size of the window using the mouse.
	:init_start(#cgs_main). <CR>
      The GOG menu will be displayed in the upper left corner of the display.
  (3) Select the item on the bottom left of the menu.

-----
(*) : As the sequential version of GOG is used as the I/O module of the 
     paralled version of GOG, it uses the PIMOS class. If the PIMOS isn't 
     installed in the machine, compile the "PIM_DEV_D.esp" file instead of 
     installing PIMOS.

